Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Mon, 12 Apr 2021 07:22:28 +0000

Hi Amir Aziz,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I want to share a terrible ex regarding the pick and collect option, I chose Riyadh gallery store to pick up my order, I went to the branch where the staff where totally unprofessional, I waited for more than 20 minutes just to find the assigned person that can help me 20 minutes with my 2 years old baby was too much time then when she came to take the last 3 digits of my order number, she left me waiting for another 10 minutes.
My shock was when she came out of the store with large plastic bag the items were unwrapped / unboxed I was so disappointed so I took the items and left directly, when I came home I found one of the bamboo bowls broken and this was expected as the bowls are all unwrapped.
I want to return this bowl. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2388893